using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Keyboard
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button89_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button89.Text;
        }

        private void Button29_Click(object sender, EventArgs e)
        {
            TextBox1.Text = TextBox1.Text.Remove(TextBox1.TextLength - 1, 1);
        }

        private void Button18_Click(object sender, EventArgs e)
        {
            TextBox1.Text += "\r\n";
        }

        private void button46_Click(object sender, EventArgs e)
        {
            TextBox1.Text += "\r\n";
        }

        private void button44_Click(object sender, EventArgs e)
        {
            TextBox1.Text = TextBox1.Text.Remove(TextBox1.TextLength - 1, 1);
        }

        

        private void button45_Click(object sender, EventArgs e)
        {
            TextBox1.Text += " ";
        }

        private void button90_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button90.Text;
        }

        private void button92_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button92.Text;
        }

        private void button95_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button95.Text;
        }

        private void button97_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button97.Text;
        }

        private void button91_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button91.Text;
        }

        private void button93_Click(object sender, EventArgs e)
        {
            TextBox1.Text +=button93.Text;
        }

        private void button98_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button98.Text;
        }

        private void button96_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button96.Text;
        }

        private void button94_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button94.Text;
        }

        private void button87_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button87.Text;
        }

        private void button86_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button86.Text;
        }

        private void button88_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button88.Text;
        }

        private void Button17_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button17.Text;
        }

        private void Button24_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button24.Text;
        }

        private void Button5_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button5.Text;
        }

        private void Button28_Click(object sender, EventArgs e)
        {
            TextBox1.Text += " ";
        }

        private void Button19_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button19.Text;
        }

        private void Button21_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button21.Text;
        }

        private void Button26_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button26.Text;
        }

        private void Button22_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button22.Text;
        }

        private void Button9_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button9.Text;
        }

        private void Button15_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button15.Text;
        }

        private void Button16_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button16.Text;
        }

        private void Button30_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button30.Text;
        }

        private void Button31_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button31.Text;
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button1.Text;
        }

        private void Button20_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button20.Text;
        }

        private void Button4_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button4.Text;
        }

        private void Button6_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button6.Text;
        }

        private void Button7_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button7.Text;
        }

        private void Button8_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button8.Text;
        }

        private void Button10_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button10.Text;
        }

        private void Button11_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button11.Text;
        }

        private void Button12_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button12.Text;
        }

        private void Button32_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button32.Text;
        }

        private void Button33_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button33.Text;
        }

        private void Button27_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button27.Text;
        }

        private void Button25_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button25.Text;
        }

        private void Button3_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button3.Text;
        }

        private void Button35_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button35.Text;
        }

        private void Button23_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button23.Text;
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button2.Text;
        }

        private void Button14_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button14.Text;
        }

        private void Button13_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button13.Text;
        }

        private void Button34_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Button34.Text;
        }

        private void button36_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button36.Text;
        }

        private void button76_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button76.Text;
        }

        private void button77_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button77.Text;
        }

        private void button79_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button79.Text;
        }

        private void button82_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button82.Text;
        }

        private void button84_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button84.Text;
        }

        private void button78_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button78.Text;
        }

        private void button80_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button80.Text;
        }

        private void button85_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button85.Text;
        }

        private void button83_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button83.Text;
        }

        private void button81_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button81.Text;
        }

        private void button74_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button74.Text;
        }

        private void button73_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button73.Text;
        }

        private void button75_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button75.Text;
        }

        private void button47_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button47.Text;
        }

        private void button54_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button54.Text;
        }

        private void button57_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button57.Text;
        }

        private void button63_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button63.Text;
        }

        private void button67_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button67.Text;
        }

        private void button56_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button56.Text;
        }

        private void button59_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button59.Text;
        }

        private void button69_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button69.Text;
        }

        private void button65_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button65.Text;
        }

        private void button61_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button61.Text;
        }

        private void button43_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button43.Text;
        }

        private void button42_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button42.Text;
        }

        private void button40_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button40.Text;
        }

        private void button41_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button41.Text;
        }

        private void button60_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button60.Text;
        }

        private void button62_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button62.Text;
        }

        private void button64_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button64.Text;
        }

        private void button66_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button66.Text;
        }

        private void button68_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button68.Text;
        }

        private void button70_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button70.Text;
        }

        private void button72_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button72.Text;
        }

        private void button58_Click(object sender, EventArgs e)
        {
            TextBox1.Text +=button58.Text;
        }

        private void button71_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button71.Text;
        }

        private void button53_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button53.Text;
        }

        private void button51_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button51.Text;
        }

        private void button55_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button55.Text;
        }

        private void button38_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button38.Text;
        }

        private void button50_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button50.Text;
        }

        private void button52_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button52.Text;
        }

        private void button49_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button49.Text;
        }

        private void button48_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button48.Text;
        }

        private void button39_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button39.Text;
        }

        private void button37_Click(object sender, EventArgs e)
        {
            TextBox1.Text += button37.Text;
        }

        private void persianKeyboardToolStripMenuItem_Click(object sender, EventArgs e)
        {
            panel2.Visible = true;
            panel1.Visible = false;
        }

        private void englishKeyboardToolStripMenuItem_Click(object sender, EventArgs e)
        {
            panel1.Visible = true;
            panel2.Visible = false;
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void copyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Clipboard.SetText(TextBox1.Text);
        }

        private void cutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Clipboard.SetText(TextBox1.Text);
            TextBox1.Text = "";
        }

        private void pasteToolStripMenuItem_Click(object sender, EventArgs e)
        {
            TextBox1.Text += Clipboard.GetText();
        }

        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Company : CLICKBOX Group Software\n\n  Product : Hossein Fathi Aghdam\n", "About", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        

        
        

        
        
        

        
        

        
    }
}
